# order_sl.cpp File Reference

Code handling saving and loading of orders. More...

`#include "../stdafx.h"`
`#include "../order_base.h"`
`#include "../order_backup.h"`
`#include "../settings_type.h"`
`#include "../network/network.h"`
`#include "saveload.h"`

Go to the source code of this file.

## Functions
static Order | UnpackVersion4Order (uint16 packed)
| Unpacks a order from savegames with version 4 and lower.
Order | UnpackOldOrder (uint16 packed)
| Unpacks a order from savegames made with TTD(Patch).
const SaveLoad * | GetOrderDescription ()
static void | Save_ORDR ()
static void | Load_ORDR ()
static void | Ptrs_ORDR ()
const SaveLoad * | GetOrderListDescription ()
static void | Save_ORDL ()
static void | Load_ORDL ()
static void | Ptrs_ORDL ()
const SaveLoad * | GetOrderBackupDescription ()
static void | Save_BKOR ()
void | Load_BKOR ()
static void | Ptrs_BKOR ()
## Variables
const ChunkHandler | _order_chunk_handlers []

## Detailed Description

Code handling saving and loading of orders.

Definition in file order_sl.cpp.

## Function Documentation

Order UnpackOldOrder | ( | uint16 | packed | ) |

Unpacks a order from savegames made with TTD(Patch).

Parameters:

  | packed | packed order

Returns:
  unpacked order

Definition at line 90 of file order_sl.cpp.

References Order::IsType(), Order::MakeDummy(), and UnpackVersion4Order().

Referenced by LoadOldVehicle().

static Order UnpackVersion4Order | ( | uint16 | packed | ) | `[static]`

Unpacks a order from savegames with version 4 and lower.

Parameters:

  | packed | packed order

Returns:
  unpacked order

Definition at line 80 of file order_sl.cpp.

References GB().

Referenced by UnpackOldOrder().

## Variable Documentation

const ChunkHandler _order_chunk_handlers[]

Initial value:

     {
      { 'BKOR', Save_BKOR, Load_BKOR, Ptrs_BKOR, NULL, CH_ARRAY},
      { 'ORDR', Save_ORDR, Load_ORDR, Ptrs_ORDR, NULL, CH_ARRAY},
      { 'ORDL', Save_ORDL, Load_ORDL, Ptrs_ORDL, NULL, CH_ARRAY | CH_LAST},
    }